#!/bin/sh
set -e

# For production builds change to DEBUG=0 or comment the line entirely
export DEBUG=1

cd $(realpath $(dirname "${0}"))

# Install shared packages and perform OS customization
./basic.sh
./basic-runtimes.sh

# Install applications
./ckan.sh
# ./crisiscleanup.sh
# ./cts.sh
./frontlinesms.sh
./gnuhealth.sh
./kanboard.sh
./mifosx.sh
./motech.sh
./opendatakit-build.sh
./opendatakit.sh
./openmapkit.sh
./pandora.sh
./sahana.sh
./sahana-demo.sh
./sambro.sh
./seeddms.sh
./sigmah.sh
./ushahidi.sh

# Perform cleanup only if DEBUG mode is not set
[ ${DEBUG:-0} -eq 1 ] && exit 0
# Clean package cache
rm -rf /var/cache/apk/*
# Remove root settings
find /root -mindepth 1 -maxdepth 1 | xargs rm -rf
# Change root password
passwd
